-- Nicht relationale Daten - Demo 1
-- Filestream und FileTable - Konfiguration


-----------------------------------
-- Datenbank mit Filestream anlegen
-----------------------------------

CREATE DATABASE SNEK_FileTable
ON  
PRIMARY
(NAME = N'SNEK_FileTable', FILENAME = N'C:\SNEK\Datenbanken\SNEK_FileTable.mdf'),
FILEGROUP FilestreamFG CONTAINS FILESTREAM
(NAME = SNEK_FileStreamData, FILENAME= 'C:\SNEK\Datenbanken\SNEK_FileTables')
LOG ON
(NAME = N'SNEK_FileTable_Log', FILENAME = N'C:\SNEK\Datenbanken\SNEK_FileTable_log.ldf')
WITH FILESTREAM
(NON_TRANSACTED_ACCESS = FULL, DIRECTORY_NAME = N'SNEK_Filestream');
GO



------------------------------------------------
-- FileTable in Datenbank SNEK_FileTable anlegen
------------------------------------------------

USE SNEK_FileTable;
GO

CREATE TABLE Dokumente AS FileTable
WITH
(
	FileTable_Directory = 'Dokumente',
	FileTable_Collate_Filename = database_default
);
GO