-- Nicht relationale Daten - Demo 3
-- Volltextsuche in Dateien und Dokumenten - Konfiguration


USE SNEK_FileTable 
GO

--------------------------------------------------------
-- Volltextsuche in Dateien und Dokumenten konfigurieren
--------------------------------------------------------

-- Volltextsuche aktivieren
EXEC sp_fulltext_service load_os_resources, 1
EXEC sp_fulltext_service 'update_languages' 
EXEC sp_fulltext_service 'restart_all_fdhosts'
go

-- Untersttzte Dateitypen ermitteln
SELECT * FROM sys.fulltext_document_types


---------------------------------------
-- Volltextkatalog und -index erstellen
---------------------------------------

-- Volltextkatalog anlegen
CREATE FULLTEXT CATALOG vtDokumente AS DEFAULT
GO

-- Volltextindex erstellen
-- Besser manuell ber das SSMS anlegen!!
CREATE FULLTEXT INDEX ON dbo.Dokumente
(
    name LANGUAGE 1031,
    file_stream TYPE COLUMN file_type LANGUAGE 1031
)
KEY INDEX PK__Dokument__5A5B77D50547F93D
ON vtDokumente
WITH
    CHANGE_TRACKING AUTO,
    STOPLIST = SYSTEM
GO